// Based on Andy Bell's modern CSS reset
// https://piccalil.li/blog/a-modern-css-reset/

/*
  It is inherited in order not to break external dependencies
  which might depend on specific box-sizing
*/
*,
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  text-rendering: optimizelegibility;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Should always be customized */
input,
textarea {
  &::placeholder {
    opacity: 1;
  }
}

/* Should always be customized */
button {
  &:focus,
  &:focus-visible,
  &:active {
    outline: none;
  }
}

/*
A elements that don't have a class get default styles
Should also always be customized for activity pseudo-classes
*/
a {
  &:not([class]) {
    text-decoration-skip-ink: auto;
  }

  &:focus,
  &:focus-visible,
  &:active {
    outline: none;
  }
}

fieldset {
  margin: 0;
  padding: 0;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
